from pirates.world.LocationConstants import LocationIds
from pirates.uberdog import UberDogGlobals
import random

def loadSfx(audioName):
    return loader.loadSfx('audio/' + audioName)

def loadSfxString(audioName):
    return 'audio/' + audioName

MUSIC_MAIN = 0
MUSIC_ALT = 1
MUSIC_COMBAT = 2
MUSIC_NONE = 'Not Found'
MUSIC_CANGREJOS = 'music_cangrejos.mp3'
MUSIC_CANGREJOS_ALT = 'music_cangrejos_alt.mp3'
MUSIC_CANGREJOS_COMBAT = 'music_cangrejos_combat.mp3'
MUSIC_CUBA = 'music_cuba.mp3'
MUSIC_CUBA_ALT = 'music_cuba_alt.mp3'
MUSIC_CUBA_COMBAT = 'music_cuba_combat.mp3'
MUSIC_CUTTHROAT = 'music_cutthroat.mp3'
MUSIC_CUTTHROAT_ALT = 'music_cutthroat_alt.mp3'
MUSIC_CUTTHROAT_COMBAT = 'music_cutthroat_combat.mp3'
MUSIC_DEVILS_ANVIL = 'music_devils_anvil.mp3'
MUSIC_DEVILS_ANVIL_ALT = 'music_devils_anvil_alt.mp3'
MUSIC_DEVILS_ANVIL_COMBAT = 'music_devils_anvil_combat.mp3'
MUSIC_DRIFTWOOD = 'music_driftwood.mp3'
MUSIC_DRIFTWOOD_ALT = 'music_driftwood_alt.mp3'
MUSIC_DRIFTWOOD_COMBAT = 'music_driftwood_combat.mp3'
MUSIC_ISLA_AVARICIA = 'music_isla_de_porc.mp3'
MUSIC_ISLA_DE_PORC = 'music_ile_detable.mp3'
MUSIC_KINGSHEAD = 'music_kingshead.mp3'
MUSIC_KINGSHEAD_ALT = 'music_kingshead_alt.mp3'
MUSIC_KINGSHEAD_COMBAT = 'music_kingshead_combat.mp3'
MUSIC_OUTCAST = 'music_outcast.mp3'
MUSIC_PADRES = 'music_madre_del_fuego.mp3'
MUSIC_PADRES_ALT = 'music_padres_alt.mp3'
MUSIC_PADRES_COMBAT = 'music_padres_combat.mp3'
MUSIC_PERDIDA = 'music_perdida.mp3'
MUSIC_PERDIDA_ALT = 'music_perdida_alt.mp3'
MUSIC_PERDIDA_COMBAT = 'music_perdida_combat.mp3'
MUSIC_PORT_ROYAL = 'music_port_royal.mp3'
MUSIC_PORT_ROYAL_ALT = 'music_port_royal_alt.mp3'
MUSIC_PORT_ROYAL_COMBAT = 'music_port_royal_combat.mp3'
MUSIC_RUMRUNNERS = 'music_rumrunner.mp3'
MUSIC_RUMRUNNERS_ALT = 'music_rumrunners_alt.mp3'
MUSIC_RUMRUNNERS_COMBAT = 'music_rumrunners_combat.mp3'
MUSIC_TORMENTA = 'music_tormenta.mp3'
MUSIC_TORMENTA_ALT = 'music_tormenta_alt.mp3'
MUSIC_TORMENTA_COMBAT = 'music_tormenta_combat.mp3'
MUSIC_TORTUGA = 'music_tortuga.mp3'
MUSIC_TORTUGA_ALT = 'music_tortuga_alt.mp3'
MUSIC_TORTUGA_COMBAT = 'music_tortuga_combat.mp3'
MUSIC_CAVE = 'music_creepy_a.mp3'
MUSIC_JUNGLE = 'music_creepy_b.mp3'
MUSIC_SWAMP = 'music_creepy_c.mp3'
MUSIC_SAILING_A = 'music_sailing_a.mp3'
MUSIC_SAILING_B = 'music_sailing_b.mp3'
MUSIC_SAILING_C = 'music_sailing_c.mp3'
MUSIC_SHIP_ENSNARED = 'music_wheel_08.mp3'
MUSIC_KRAKEN_SINK = 'music_kraken_sink_ship.mp3'
MUSIC_COMBAT_A = 'music_combat_a.mp3'
MUSIC_COMBAT_B = 'music_combat_b.mp3'
MUSIC_COMBAT_C = 'music_combat_c.mp3'
MUSIC_SHIP_COMBAT = 'he_is_a_pirate.mp3'
MUSIC_TAVERN_A = 'music_tavern_a.mp3'
MUSIC_TAVERN_B = 'music_tavern_b.mp3'
MUSIC_TAVERN_C = 'music_tavern_c.mp3'
MUSIC_PERFORMERS_02 = 'music_performers_02.mp3'
MUSIC_PERFORMERS_07 = 'music_performers_07.mp3'
MUSIC_PERFORMERS_09 = 'music_performers_09.mp3'
MUSIC_PERFORMERS_10 = 'music_performers_10.mp3'
MUSIC_HOLIDAY_01 = 'music_ballad_of_a_buccaneer.mp3'
MUSIC_HOLIDAY_02 = 'music_caribbean_holiday.mp3'
MUSIC_RAVENS_COVE_DAY = 'music_ravens_cove_day.mp3'
MUSIC_RAVENS_COVE_NIGHT = 'music_ravens_cove_night.mp3'
MUSIC_EL_PATRONS_MINE = 'music_el_patrons_mine.mp3'
MUSIC_RAVENS_COVE_TOWN_BATTLE = 'music_battle_town.mp3'
MUSIC_RAVENS_COVE_CAVE_BATTLE = 'music_battle_caves.mp3'
MUSIC_AVATAR_CHOOSER = 'will_and_elizabeth.mp3'
MUSIC_MAKE_A_PIRATE = 'music_jack_01.mp3'
MUSIC_SEARCHING = 'music_wheel_03.mp3'
MUSIC_DEATH = 'music_wheel_08_short.mp3'
MUSIC_VICTORY = 'music_wheel_02.mp3'
MUSIC_AMBUSH = 'music_wheel_10.mp3'
MUSIC_FINAL_BATTLE = 'music_final_battle.mp3'
MUSIC_FIREWORKS = 'music_fireworks.mp3'
MUSIC_REWARD_WEAPON = 'music_wheel_11.mp3'
MUSIC_INVASION_VICTORY = 'music_wheel_11.mp3'
MUSIC_INVASION_DEFEAT = 'music_wheel_12.mp3'
MUSIC_DEFAULT_MAIN = MUSIC_SWAMP
MUSIC_DEFAULT_ALT = MUSIC_SWAMP
MUSIC_DEFAULT_COMBAT = MUSIC_COMBAT_A
AMBIENT_JUNGLE = 'sfx_jungle_mix.wav'
AMBIENT_CAVE = 'sfx_cave_drips.wav'
AMBIENT_VOLCANO = 'sfx_cave_drips.wav'
AMBIENT_SWAMP = 'sfx_swamp_mix.wav'
AMBIENT_SPANISH = 'sfx_town_npchouse-spanish.wav'
AMBIENT_SHANTY = 'sfx_town_npchouse-shanty.wav'
AMBIENT_SHIP = 'sfx_ship_idle.wav'
AMBIENT_JAIL = 'sfx_jail_interior_loop.wav'
AMBIENT_WAVES = 'sfx_ocean_shore.mp3'
AMBIENT_CROW = 'sfx_crow_caw.mp3'
AMBIENT_BIRDS = 'sfx_bird_wings.mp3'
AMBIENT_WIND = 'sfx_ocean_wind.mp3'
CS_1_1_A_JS = 'cs_tut_1_1_a_js.mp3'
CS_1_1_B_JS = 'cs_tut_1_1_b_js.mp3'
CS_1_1_5_A_DAN = 'cs_tut_1_1_5_a_dan.mp3'
CS_1_1_5_B_DAN = 'cs_tut_1_1_5_b_dan.mp3'
CS_1_1_5_C_DAN = 'cs_tut_1_1_5_c_dan.mp3'
CS_1_2_B_DOCK = 'cs_tut_1_2_b_dock.mp3'
CS_1_2_DOCK = 'cs_tut_1_2_dock.mp3'
CS_1_3_JR = 'cs_tut_1_3_jr.mp3'
CS_2_1_A_WT = 'cs_tut_2_1_a_wt.mp3'
CS_2_1_B_WT = 'cs_tut_2_1_b_wt.mp3'
CS_2_2_TD = 'cs_tut_2_2_td.mp3'
CS_2_3_ES = 'cs_tut_2_3_es.mp3'
CS_2_4_A_CB = 'cs_tut_2_4_a_cb.mp3'
CS_2_4_B_CB = 'cs_tut_2_4_b_cb.mp3'
CS_2_5_JS = 'cs_tut_2_5_js.mp3'
CS_3_1_BP = 'cs_tut_3_1_bp.mp3'
CS_3_2_JS = 'cs_tut_3_2_js.mp3'
CS_6_1_TD = 'cs_tut_6_1_td.mp3'
JSD_ANYTIME_01 = 'jsd_anytime_1.mp3'
JSD_ANYTIME_02 = 'jsd_anytime_2.mp3'
JSD_ANYTIME_03 = 'jsd_anytime_3.mp3'
JSD_ANYTIME_04 = 'jsd_anytime_4.mp3'
JSD_BODY_MS_01 = 'jsd_body_ms_1.mp3'
JSD_BODY_MS_02 = 'jsd_body_ms_2.mp3'
JSD_BODY_SF_01 = 'jsd_body_sf_1.mp3'
JSD_BODY_SF_02 = 'jsd_body_sf_2.mp3'
JSD_BODY_TM_01 = 'jsd_body_tm_1.mp3'
JSD_BODY_TM_02 = 'jsd_body_tm_2.mp3'
JSD_CLOTHES_01 = 'jsd_clothes_1.mp3'
JSD_CLOTHES_02 = 'jsd_clothes_2.mp3'
JSD_CLOTHES_03 = 'jsd_clothes_3.mp3'
JSD_CLOTHES_04 = 'jsd_clothes_4.mp3'
JSD_CLOTHES_05 = 'jsd_clothes_5.mp3'
JSD_CLOTHES_END_01 = 'jsd_clothes_finish_1.mp3'
JSD_CLOTHES_END_02 = 'jsd_clothes_finish_2.mp3'
JSD_COAT_01 = 'jsd_coat_good.mp3'
JSD_FACE_01 = 'jsd_face_long.mp3'
JSD_FACE_02 = 'jsd_face_pretty.mp3'
JSD_FACE_03 = 'jsd_face_rogue.mp3'
JSD_FACE_04 = 'jsd_face_ugly.mp3'
JSD_HAIR_01 = 'jsd_hair_lot.mp3'
JSD_HAIR_02 = 'jsd_hair_mop.mp3'
JSD_HAT_01 = 'jsd_hat_good.mp3'
JSD_PANT_01 = 'jsd_pant_good.mp3'
JSD_SHOE_BARB = 'jsd_shoe_barbossa.mp3'
JSD_SHOE_01 = 'jsd_shoe_good.mp3'
WTD_CODE = 'dialog/will_turner_7.2.b.mp3'
BBD_TELL_SHOOT = 'beck_cs12_4_4c_tell_to_shoot.mp3'
BBD_GIVE_PRAISE = 'beck_cs12_5_5a_tell_praise.mp3'
SFX_WEAPON_DAGGER_DRAW = 'sfx_dagger_draw.mp3'
SFX_WEAPON_DAGGER_PUTAWAY = 'sfx_dagger_sheathe.mp3'
SFX_WEAPON_NONBLADE_DRAW = 'sfx_weapon_nonblade_draw.mp3'
SFX_WEAPON_NONBLADE_PUTAWAY = 'sfx_weapon_nonblade_put_away.mp3'
SFX_WEAPON_STAFF_CHARGE = 'sfx_wand_charge.mp3'
SFX_WEAPON_STAFF_CHARGE_LOOP = 'sfx_wand_charge_loop.wav'
SFX_WEAPON_BAYONET_HIT = 'sfx_dagger_impact.mp3'
SFX_WEAPON_BAYONET_MISS = 'whoosh-10.mp3'
SFX_WEAPON_BAYONET_MISS_ALT = 'arm-Whoosh-05.mp3'
SFX_WEAPON_CANNON_FIRE_01 = 'cball_fire_1.mp3'
SFX_WEAPON_CANNON_FIRE_02 = 'cball_fire_2.mp3'
SFX_WEAPON_CANNON_FIRE_03 = 'cball_fire_3.mp3'
SFX_WEAPON_CANNON_FIRE_04 = 'cball_fire_4.mp3'
SFX_WEAPON_CANNON_FIRE_05 = 'cball_fire_5.mp3'
SFX_WEAPON_CANNON_HIT = 'in_cball_hit_1_f.mp3'
SFX_WEAPON_CANNON_DIST_FIRE_01 = 'dist_cannon_01.mp3'
SFX_WEAPON_CANNON_DIST_FIRE_02 = 'dist_cannon_02.mp3'
SFX_WEAPON_CANNON_DIST_FIRE_03 = 'dist_cannon_03.mp3'
SFX_WEAPON_CANNON_DIST_FIRE_04 = 'dist_cannon_04.mp3'
SFX_WEAPON_CANNON_DIST_FIRE_05 = 'dist_cannon_05.mp3'
SFX_WEAPON_CANNON_DIST_FIRE_06 = 'dist_cannon_06.mp3'
SFX_WEAPON_CANNON_DIST_FIRE_07 = 'dist_cannon_07.mp3'
SFX_WEAPON_CANNON_DIST_FIRE_08 = 'dist_cannon_08.mp3'
SFX_WEAPON_CANNON_DIST_FIRE_09 = 'dist_cannon_09.mp3'
SFX_WEAPON_CANNON_DIST_FIRE_10 = 'dist_cannon_10.mp3'
SFX_WEAPON_CANNON_EMPTY = 'outofammo.mp3'
SFX_WEAPON_CUTLASS_CLASHCLANG = 'sword-clashNclang.mp3'
SFX_WEAPON_CUTLASS_SWIPECLANG_01 = 'sword-swipeNclang1.mp3'
SFX_WEAPON_CUTLASS_SWIPECLANG_02 = 'sword-swipeNclang2.mp3'
SFX_WEAPON_CUTLASS_SWIPECLANG_03 = 'sword-swipeNclang3.mp3'
SFX_WEAPON_SABRE_CLASHCLANG = 'pir_s_wpn_sabre_clashNclang.mp3'
SFX_WEAPON_SABRE_SWIPECLANG_01 = 'pir_s_wpn_sabre_clang1.mp3'
SFX_WEAPON_SABRE_SWIPECLANG_02 = 'pir_s_wpn_sabre_clang2.mp3'
SFX_WEAPON_SABRE_SWIPECLANG_03 = 'pir_s_wpn_sabre_clang3.mp3'
SFX_WEAPON_SCIMITAR_CLASHCLANG = 'pir_s_wpn_scimitar_clashNclang.mp3'
SFX_WEAPON_SCIMITAR_SWIPECLANG_01 = 'pir_s_wpn_scimitar_clang1.mp3'
SFX_WEAPON_SCIMITAR_SWIPECLANG_02 = 'pir_s_wpn_scimitar_clang2.mp3'
SFX_WEAPON_SCIMITAR_SWIPECLANG_03 = 'pir_s_wpn_scimitar_clang3.mp3'
SFX_WEAPON_BROADSWORD_CLASHCLANG = 'pir_s_wpn_broadsword_clashNclang.mp3'
SFX_WEAPON_BROADSWORD_SWIPECLANG_01 = 'pir_s_wpn_broadsword_clang1.mp3'
SFX_WEAPON_BROADSWORD_SWIPECLANG_02 = 'pir_s_wpn_broadsword_clang2.mp3'
SFX_WEAPON_BROADSWORD_SWIPECLANG_03 = 'pir_s_wpn_broadsword_clang3.mp3'
SFX_WEAPON_CUTLASS_MISTIMEDHIT = 'sword-unsheath.mp3'
SFX_WEAPON_CUTLASS_SWOOSH_01 = 'sword-swoosh1.mp3'
SFX_WEAPON_CUTLASS_SWOOSH_02 = 'sword-swoosh2.mp3'
SFX_WEAPON_CUTLASS_HACK = 'sfx_cutlass_hack.mp3'
SFX_WEAPON_CUTLASS_SLASH = 'sfx_cutlass_slash.mp3'
SFX_WEAPON_CUTLASS_STAB = 'sfx_cutlass_stab.mp3'
SFX_WEAPON_CUTLASS_FLOURISH = 'sfx_cutlass_flourish.mp3'
SFX_WEAPON_CUTLASS_CLEAVE = 'sfx_cutlass_cleave.mp3'
SFX_WEAPON_CUTLASS_TAUNT = 'sfx_cutlass_taunt.mp3'
SFX_WEAPON_CUTLASS_BRAWL = 'sfx_cutlass_headbutt.mp3'
SFX_WEAPON_CUTLASS_SWEEP = 'sfx_cutlass_sweep.mp3'
SFX_WEAPON_CUTLASS_BLADESTORM = 'sfx_cutlass_bladestorm.mp3'
SFX_WEAPON_CUTLASS_DRAW = 'sfx_cutlass_draw.mp3'
SFX_WEAPON_CUTLASS_SHEATHE = 'sfx_cutlass_sheathe.mp3'
SFX_WEAPON_CUTLASS_BLOWBACK = 'pir_s_skl_blowback.mp3'
SFX_WEAPON_CUTLASS_CAPTAINS_FURY = 'pir_s_skl_captainsFury.mp3'
SFX_WEAPON_CUTLASS_CURSED_FIRE = 'pir_s_wpn_cursedFireHack.mp3'
SFX_WEAPON_CUTLASS_CURSED_THUNDER = 'pir_s_wpn_cursedThunderHack.mp3'
SFX_WEAPON_CUTLASS_CURSED_ICE = 'pir_s_wpn_cursedIceHack.mp3'
SFX_WEAPON_CUTLASS_FIRE_HIT = 'pir_s_wpn_cursedFireHit.mp3'
SFX_WEAPON_CUTLASS_THUNDER_HIT = 'pir_s_wpn_cursedThunderHit.mp3'
SFX_WEAPON_CUTLASS_ICE_HIT = 'pir_s_wpn_cursedIceHit.mp3'
SFX_WEAPON_DAGGER_MISS_01 = 'swordSwipeSingle-01.mp3'
SFX_WEAPON_DAGGER_MISS_02 = 'swordSwipeSingle-02.mp3'
SFX_WEAPON_DAGGER_HIT = 'sfx_dagger_impact.mp3'
SFX_WEAPON_DAGGER_MISTIMEDHIT = 'sword-unsheath.mp3'
SFX_WEAPON_DAGGER_CUT = 'sfx_dagger_cut.mp3'
SFX_WEAPON_DAGGER_SWIPE = 'sfx_dagger_swipe.mp3'
SFX_WEAPON_DAGGER_GOUGE = 'sfx_dagger_gouge.mp3'
SFX_WEAPON_DAGGER_EVISCERATE = 'sfx_dagger_eviscerate.mp3'
SFX_WEAPON_DAGGER_ASP = 'sfx_dagger_thrown.mp3'
SFX_WEAPON_DAGGER_ADDER = 'sfx_dagger_poison.mp3'
SFX_WEAPON_DAGGER_THROW_DIRT = 'sfx_dagger_throw_dirt.mp3'
SFX_WEAPON_DAGGER_SIDEWINDER = 'sfx_dagger_sidewinder.mp3'
SFX_WEAPON_DAGGER_VIPER_NEST = 'sfx_dagger_vipersnest.mp3'
SFX_WEAPON_DAGGER_DRAW = 'sfx_dagger_draw.mp3'
SFX_WEAPON_DAGGER_SHEATHE = 'sfx_dagger_sheathe.mp3'
SFX_WEAPON_DAGGER_BARRAGE = 'sfx_dagger_vipersnest.mp3'
SFX_WEAPON_DAGGER_RAIN = 'sfx_dagger_vipersnest.mp3'
SFX_WEAPON_DAGGER_THROW_COMBO_1 = 'sfx_dagger_sidewinder.mp3'
SFX_WEAPON_DAGGER_THROW_COMBO_2 = 'sfx_dagger_sidewinder.mp3'
SFX_WEAPON_DAGGER_THROW_COMBO_3 = 'sfx_dagger_sidewinder.mp3'
SFX_WEAPON_DAGGER_THROW_COMBO_4 = 'sfx_dagger_thrown.mp3'
SFX_WEAPON_DOLL_HIT = 'sword_clashNclang.mp3'
SFX_WEAPON_DOLL_MISS_01 = 'sword-swoosh1.mp3'
SFX_WEAPON_DOLL_MISS_02 = 'sword-swoosh2.mp3'
SFX_WEAPON_DOLL_ATTUNE = 'sfx_doll_attune.mp3'
SFX_WEAPON_DOLL_UNATTUNE = 'sfx_doll_unattune.mp3'
SFX_WEAPON_DOLL_ATTUNE_LOOP = 'sfx_doll_attune_loop.wav'
SFX_WEAPON_DOLL_POKE = 'sfx_doll_poke.mp3'
SFX_WEAPON_DOLL_SWARM = 'sfx_doll_swarm.mp3'
SFX_WEAPON_DOLL_HEAL = 'sfx_doll_heal.mp3'
SFX_WEAPON_DOLL_CURSE = 'sfx_doll_curse.mp3'
SFX_WEAPON_DOLL_SCORCH = 'sfx_doll_burn.mp3'
SFX_WEAPON_DOLL_CURE = 'sfx_doll_cure.mp3'
SFX_WEAPON_DOLL_SHACKLES = 'sfx_doll_poke.mp3'
SFX_WEAPON_DOLL_LIFE_DRAIN = 'sfx_doll_poke.mp3'
SFX_WEAPON_DOLL_DRAW = 'sfx_grenade_bigbomb_draw.mp3'
SFX_WEAPON_DOLL_SHEATHE = 'sfx_grenade_bigbomb_put_away.mp3'
SFX_WEAPON_DOLL_EVIL_EYE = 'pir_s_skl_evilEye.mp3'
SFX_WEAPON_SKILL_MONKEY_RAGE = 'pir_s_skl_gorillaRage.mp3'
SFX_WEAPON_SKILL_CAPTAINS_RESOLVE = 'pir_s_skl_captainsResolve.mp3'
SFX_WEAPON_DUALCUTLASS_HIT_01 = 'sword_clashNclang.mp3'
SFX_WEAPON_DUALCUTLASS_HIT_02 = 'sword-swipeNclang1.mp3'
SFX_WEAPON_DUALCUTLASS_HIT_03 = 'sword-swipeNclang2.mp3'
SFX_WEAPON_DUALCUTLASS_HIT_04 = 'sword-swipeNclang3.mp3'
SFX_WEAPON_DUALCUTLASS_MISS_01 = 'sword-swoosh1.mp3'
SFX_WEAPON_DUALCUTLASS_MISS_02 = 'sword-swoosh2.mp3'
SFX_WEAPON_DUALCUTLASS_DRAW = 'sfx_cutlass_draw.mp3'
SFX_WEAPON_DUALCUTLASS_SHEATHE = 'sfx_cutlass_sheathe.mp3'
SFX_WEAPON_FOIL_HIT_01 = 'sword_clashNclang.mp3'
SFX_WEAPON_FOIL_HIT_02 = 'sword-swipeNclang1.mp3'
SFX_WEAPON_FOIL_HIT_03 = 'sword-swipeNclang2.mp3'
SFX_WEAPON_FOIL_HIT_04 = 'sword-swipeNclang3.mp3'
SFX_WEAPON_FOIL_MISS_01 = 'sword-swoosh1.mp3'
SFX_WEAPON_FOIL_MISS_02 = 'sword-swoosh2.mp3'
SFX_WEAPON_FOIL_DRAW = 'sfx_cutlass_draw.mp3'
SFX_WEAPON_FOIL_SHEATHE = 'sfx_cutlass_sheathe.mp3'
SFX_WEAPON_GRENADE_AIM = 'sfx_pistol_cock.mp3'
SFX_WEAPON_GRENADE_RELOAD = 'sfx_grenade_bigbomb_put_away.mp3'
SFX_WEAPON_GRENADE_THROW = 'sfx_grenade_throw.mp3'
SFX_WEAPON_GRENADE_SEIGE = 'sfx_grenade_bigbomb_throw.mp3'
SFX_WEAPON_GRENADE_LONG_VOLLEY = 'sfx_grenade_long_volley_throw.mp3'
SFX_WEAPON_GRENADE_CHARGING = 'sfx_grenade_long_volley_charging.mp3'
SFX_WEAPON_GRENADE_DRAW = 'sfx_grenade_bigbomb_draw.mp3'
SFX_WEAPON_GRENADE_SHEATHE = 'sfx_grenade_bigbomb_put_away.mp3'
SFX_WEAPON_GRENADE_FIREBOMB = 'sfx_grenade_impact_firebomb_loop.mp3'
SFX_WEAPON_GRENADE_IMPACT = 'sfx_grenade_impact.mp3'
SFX_WEAPON_GRENADE_FIREBOMB_EXPLODE = 'sfx_grenade_impact_firebomb_explo.mp3'
SFX_WEAPON_GRENADE_STINK = 'sfx_grenade_impact_stink_pot.mp3'
SFX_WEAPON_GRENADE_SMOKE = 'sfx_grenade_impact_smoke.mp3'
SFX_WEAPON_PISTOL_HP_HIT = 'sfx_pistol_effective.mp3'
SFX_WEAPON_PISTOL_MANA_HIT = 'sfx_pistol_mana_drain.mp3'
SFX_WEAPON_PISTOL_MISS = 'gunshot1.mp3'
SFX_WEAPON_PISTOL_AIM = 'musketCock.mp3'
SFX_WEAPON_PISTOL_SHOOT = 'sfx_pistol_shoot.mp3'
SFX_WEAPON_PISTOL_WELL_AIMED = 'sfx_pistol_shoot.mp3'
SFX_WEAPON_PISTOL_DRAW = 'sfx_pistol_draw.mp3'
SFX_WEAPON_PISTOL_COCK = 'sfx_pistol_cock.mp3'
SFX_WEAPON_PISTOL_RELOAD = 'sfx_pistol_reload.mp3'
SFX_WEAPON_PISTOL_SHEATHE = 'sfx_pistol_put_away.mp3'
SFX_WEAPON_BLUNDERBUSS_SHOOT = 'pir_s_wpn_blunderbussShot.mp3'
SFX_WEAPON_MUSKET_SHOOT = 'pir_s_wpn_musketShot.mp3'
SFX_MISC_HEART_BEAT_LOOP = 'pir_s_msc_heartBeat_loop.wav'
SFX_MELEE_HIT_01 = 'swipeImpact-03.mp3'
SFX_MELEE_HIT_02 = 'swipeImpact-09.mp3'
SFX_MELEE_MISS_01 = 'whoosh-10.mp3'
SFX_MELEE_MISS_02 = 'arm_Whoosh-05.mp3'
SFX_MELEE_DRAW = 'sword-unsheath.mp3'
SFX_MONSTER_HIT = 'body_blow.mp3'
SFX_MONSTER_MISS = 'whoosh-10.mp3'
SFX_MONSTER_ENSNARE = 'kraken2.mp3'
SFX_MONSTER_SMASH_01 = 'wood_impact_1.mp3'
SFX_MONSTER_SMASH_02 = 'wood_impact_3.mp3'
SFX_MONSTER_SMASH_03 = 'wood_impact_4.mp3'
SFX_MONSTER_DEATH = 'bodyFall-08.mp3'
SFX_MONSTER_BAT_ATTACK = 'sfx_bat_attack_left.mp3'
SFX_MONSTER_BAT_DEATH = 'sfx_bat_death.mp3'
SFX_MONSTER_BAT_PAIN = 'sfx_bat_pain_left.mp3'
SFX_MONSTER_ALLIGATOR_ATTACK_LEFT = 'sfx_alligator_attack_left.mp3'
SFX_MONSTER_ALLIGATOR_ATTACK_STRAIGHT = 'sfx_alligator_attack_straight.mp3'
SFX_MONSTER_ALLIGATOR_DEATH = 'sfx_alligator_death.mp3'
SFX_MONSTER_ALLIGATOR_PAIN = 'sfx_alligator_flinch_left.mp3'
SFX_MONSTER_SCORPION_ATTACK_LEFT = 'sfx_scorp_attack_left.mp3'
SFX_MONSTER_SCORPION_ATTACK_BOTH = 'sfx_scorp_attack_both.mp3'
SFX_MONSTER_SCORPION_ATTACK_TAIL = 'sfx_scorp_attack_tail.mp3'
SFX_MONSTER_SCORPION_PICKUP = 'sfx_scorp_pickup_human.mp3'
SFX_MONSTER_SCORPION_REARUP = 'sfx_scorpion_rearup.mp3'
SFX_MONSTER_SCORPION_DEATH = 'sfx_scorpion_death.mp3'
SFX_MONSTER_SCORPION_PAIN = 'sfx_scorpion_knockback.mp3'
SFX_MONSTER_CRAB_ATTACK_LEFT = 'sfx_crab_attack_left.mp3'
SFX_MONSTER_CRAB_ATTACK_BOTH = 'sfx_crab_attack_both.mp3'
SFX_MONSTER_CRAB_DEATH = 'sfx_crab_death.mp3'
SFX_MONSTER_CRAB_PAIN = 'sfx_crab_pain.mp3'
SFX_MONSTER_FLYTRAP_ATTACK = 'sfx_flytrap_attack_a.mp3'
SFX_MONSTER_FLYTRAP_JAB = 'sfx_flytrap_attaack_jab.mp3'
SFX_MONSTER_FLYTRAP_FAKE = 'sfx_flytrap_attack_take.mp3'
SFX_MONSTER_FLYTRAP_SPIT = 'sfx_flytrap_spit.mp3'
SFX_MONSTER_FLYTRAP_DEATH = 'sfx_flytrap_death.mp3'
SFX_MONSTER_FLYTRAP_PAIN = 'sfx_flytrap_hit.mp3'
SFX_MONSTER_FLYTRAP_SPAWN = 'sfx_flytrap_rise_ground.mp3'
SFX_MONSTER_KRAKEN_DEATH = 'sfx_crab_death.mp3'
SFX_MONSTER_KRAKEN_PAIN = 'sfx_crab_pain.mp3'
SFX_MONSTER_KRAKEN_ROAR_01 = 'kraken1.mp3'
SFX_MONSTER_KRAKEN_ROAR_02 = 'kraken2.mp3'
SFX_MONSTER_MOSSMAN_ATTACK_KICK = 'sfx_mossman_kick.mp3'
SFX_MONSTER_MOSSMAN_ATTACK_SLAP = 'sfx_mossman_slap_left.mp3'
SFX_MONSTER_MOSSMAN_ATTACK_SWAT = 'sfx_mossman_swat_left.mp3'
SFX_MONSTER_MOSSMAN_JUMP = 'sfx_mossman_jump.mp3'
SFX_MONSTER_MOSSMAN_DEATH = 'sfx_mossman_death.mp3'
SFX_MONSTER_MOSSMAN_PAIN = 'sfx_mossman_agitated.mp3'
SFX_MONSTER_MOSSMAN_SPAWN = 'sfx_mossman_intro.mp3'
SFX_MONSTER_WASP_STING = 'sfx_wasp_sting.mp3'
SFX_MONSTER_WASP_LEAP_STING = 'sfx_wasp_leap_sting.mp3'
SFX_MONSTER_WASP_DEATH = 'sfx_wasp_death.mp3'
SFX_MONSTER_WASP_PAIN = 'sfx_wasp_ouch.mp3'
SFX_MONSTER_SERPENT_DEATH = 'sfx_wasp_death.mp3'
SFX_MONSTER_SERPENT_PAIN = 'sfx_wasp_ouch.mp3'
SFX_RAGE_KILL = 'sfx_wand_pestilence_impact.mp3'
SFX_MONSTER_JR_ACCEPT = 'jollyroger_accept.mp3'
SFX_MONSTER_JR_ALL_YOU_GOT = 'jollyroger_all_you_got.mp3'
SFX_MONSTER_JR_ATTACK = 'jollyroger_attack.mp3'
SFX_MONSTER_JR_ATTACK_01 = 'jollyroger_attack1.mp3'
SFX_MONSTER_JR_ATTACK_03 = 'jollyroger_attack3.mp3'
SFX_MONSTER_JR_ATTACK_06 = 'jollyroger_attack6.mp3'
SFX_MONSTER_JR_ATTACK_07 = 'jollyroger_attack7.mp3'
SFX_MONSTER_JR_ATTACK_THE_TOWN = 'jollyroger_attack_the_town.mp3'
SFX_MONSTER_JR_BARRICADES_A = 'jollyroger_barricades_a.mp3'
SFX_MONSTER_JR_BARRICADES_B = 'jollyroger_barricades_b.mp3'
SFX_MONSTER_JR_BEG_MERCY = 'jollyroger_bef_mercy.mp3'
SFX_MONSTER_JR_BREAK = 'jollyroger_break.mp3'
SFX_MONSTER_JR_BRING = 'jollyroger_bring.mp3'
SFX_MONSTER_JR_BRING_OPPONENT = 'jollyroger_bring_opponent.mp3'
SFX_MONSTER_JR_CANT = 'jollyroger_cant.mp3'
SFX_MONSTER_JR_CHILDS_PLAY = 'jollyroger_childs_play.mp3'
SFX_MONSTER_JR_CRABS = 'jollyroger_crabs.mp3'
SFX_MONSTER_JR_DAMAGE_01 = 'jollyroger_damage1.mp3'
SFX_MONSTER_JR_DAMAGE_03 = 'jollyroger_damage3.mp3'
SFX_MONSTER_JR_DAMAGE_04 = 'jollyroger_damage4.mp3'
SFX_MONSTER_JR_DAMAGE_06 = 'jollyroger_damage6.mp3'
SFX_MONSTER_JR_DAMAGE_07 = 'jollyroger_damage7.mp3'
SFX_MONSTER_JR_DAMAGE_10 = 'jollyroger_damage10.mp3'
SFX_MONSTER_JR_DAMAGE_13 = 'jollyroger_damage13.mp3'
SFX_MONSTER_JR_DAMAGE_14 = 'jollyroger_damage14.mp3'
SFX_MONSTER_JR_DEAD = 'jollyroger_dead.mp3'
SFX_MONSTER_JR_DESTROY_EVERYTHING = 'jollyroger_destroy_everything.mp3'
SFX_MONSTER_JR_DISPATCH = 'jollyroger_dispatch.mp3'
SFX_MONSTER_JR_ENJOY = 'jollyroger_enjoy.mp3'
SFX_MONSTER_JR_ENJOYING = 'jollyroger_enjoying.mp3'
SFX_MONSTER_JR_EVERYONE_WILL_PAY = 'jollyroger_everyone_will_pay.mp3'
SFX_MONSTER_JR_FAITHFUL_BRIDE = 'jollyroger_faithful_bride.mp3'
SFX_MONSTER_JR_FASTER_YOU_SCABS = 'jollyroger_faster_you_scabs.mp3'
SFX_MONSTER_JR_FEAR_ME = 'jollyroger_fear_me.mp3'
SFX_MONSTER_JR_FEAST_SOULS = 'jollyroger_feast_souls.mp3'
SFX_MONSTER_JR_FIGHT = 'jollyroger_fight.mp3'
SFX_MONSTER_JR_FIGHT_BEFORE_MEAL = 'jollyroger_fight_before_meal.mp3'
SFX_MONSTER_JR_FIGHT_ON = 'jollyroger_fight_on.mp3'
SFX_MONSTER_JR_FOLLOW_ME_NOW = 'jollyroger_follw_me_now.mp3'
SFX_MONSTER_JR_FOOLS = 'jollyroger_fools.mp3'
SFX_MONSTER_JR_FORWARD = 'jollyroger_forward.mp3'
SFX_MONSTER_JR_FORWARD_ATTACK = 'jollyroger_forward_attack.mp3'
SFX_MONSTER_JR_FUNERAL_FIRE = 'jollyroger_funeral_fire.mp3'
SFX_MONSTER_JR_GET_YE = 'jollyroger_get_ye.mp3'
SFX_MONSTER_JR_GOGOGO = 'jollyroger_gogogo.mp3'
SFX_MONSTER_JR_HOW_ITS_DONE = 'jollyroger_how_its_done.mp3'
SFX_MONSTER_JR_HOWS_THIS = 'jollyroger_howsthis.mp3'
SFX_MONSTER_JR_IF_ONLY = 'jollyroger_ifonly.mp3'
SFX_MONSTER_JR_IS_THAT_THE_BEST = 'jollyroger_isthatthebest.mp3'
SFX_MONSTER_JR_ITCHING_TO_FIGHT = 'jollyroger_itching_to_fight.mp3'
SFX_MONSTER_JR_JOIN = 'jollyroger_joinme.mp3'
SFX_MONSTER_JR_LAUGH_01 = 'jollyroger_laugh_01.mp3'
SFX_MONSTER_JR_LAUGH_02 = 'jollyroger_laugh_02.mp3'
SFX_MONSTER_JR_MANSION_DESTROYED = 'jollyroger_mansion_destroyed.mp3'
SFX_MONSTER_JR_MEET_YOUR_MAKER = 'jollyroger_meet_your_maker.mp3'
SFX_MONSTER_JR_NEED_TO_FIND_SOMEONE_ELSE = 'jollyroger_need_to_find_someone_else.mp3'
SFX_MONSTER_JR_NEXT_BRIGADE = 'jollyroger_next_brigade.mp3'
SFX_MONSTER_JR_NEXT_CONQUEST = 'jollyroger_next_conquest.mp3'
SFX_MONSTER_JR_NEXT_TARGET = 'jollyroger_next_target.mp3'
SFX_MONSTER_JR_NO_MERCY = 'jollyroger_no_mery.mp3'
SFX_MONSTER_JR_NO_TIME = 'jollyroger_no_time.mp3'
SFX_MONSTER_JR_NOT_BAD = 'jollyroger_notbad.mp3'
SFX_MONSTER_JR_NOT_SEEN = 'jollyroger_notseen.mp3'
SFX_MONSTER_JR_PORT_ROYAL_MINE = 'jollyroger_port_royal_mine.mp3'
SFX_MONSTER_JR_QUIP_03 = 'jollyroger_quip3.mp3'
SFX_MONSTER_JR_QUIP_04 = 'jollyroger_quip4.mp3'
SFX_MONSTER_JR_RANSACK_TOWN = 'jollyroger_ransack_town.mp3'
SFX_MONSTER_JR_REALLY_IS_A_LAUGH = 'jollyroger_really_is_a_laugh.mp3'
SFX_MONSTER_JR_RETREAT = 'jollyroger_retreat.mp3'
SFX_MONSTER_JR_RIP = 'jollyroger_rip.mp3'
SFX_MONSTER_JR_RUBBLE = 'jollyroger_rubble.mp3'
SFX_MONSTER_JR_SMELL = 'jollyroger_smell.mp3'
SFX_MONSTER_JR_SO_MUCH_FUN = 'jollyroger_so_much_fun.mp3'
SFX_MONSTER_JR_SOULS_TO_DEVOUR = 'jollyroger_souls_to_devour.mp3'
SFX_MONSTER_JR_SPARROW_ALIVE = 'jollyroger_sparrow_alive.mp3'
SFX_MONSTER_JR_SPARROW_ESCAPED = 'jollyroger_sparrow_escaped.mp3'
SFX_MONSTER_JR_SPINELESS_FOOLS = 'jollyroger_spineless_fools.mp3'
SFX_MONSTER_JR_STAND = 'jollyroger_stand.mp3'
SFX_MONSTER_JR_STORM_THE_BEACHES = 'jollyroger_storm_the_beaches.mp3'
SFX_MONSTER_JR_SUBMIT = 'jollyroger_submit.mp3'
SFX_MONSTER_JR_SUBMIT_TO_ME = 'jollyroger_submittome.mp3'
SFX_MONSTER_JR_TONIGHT = 'jollyroger_tonight.mp3'
SFX_MONSTER_JR_USELESS_SCABS = 'jollyroger_useless_scabs.mp3'
SFX_MONSTER_JR_VICTORY_MINE = 'jollyroger_victory_mine.mp3'
SFX_MONSTER_JR_WEAPON_NUISANCE = 'jollyroger_weapon_nuisance.mp3'
SFX_MONSTER_JR_YOU_CALL = 'jollyroger_youcall.mp3'
SFX_MONSTER_JR_YOULL_PAY = 'jollyroger_youllpay.mp3'
SFX_MONSTER_JR_YOUR_DESTINY = 'jollyroger_your_destiny.mp3'
SFX_MONSTER_EP_BEWARE = 'el_patron_beware.mp3'
SFX_MONSTER_EP_LAUGHTER = 'el_patron_laughter.mp3'
SFX_MONSTER_EP_RUNAWAY = 'el_patron_runaway.mp3'
SFX_MONSTER_EP_SHORT_LAUGH = 'el_patron_short_laugh.mp3'
SFX_CONSUMABLE_DRINK = 'sfx_tonic_drink.mp3'
SFX_CONSUMABLE_SHIP_REPAIR = 'sfx_ship_teleport_in.mp3'
SFX_CONSUMABLE_MISS = 'whoosh-10.mp3'
SFX_CONSUMABLE_MISS_ALT = 'arm-Whoosh-05.mp3'
SFX_CONSUMABLE_EAT_MEAT = 'sfx_eat_meat.mp3'
SFX_SKILL_RECHARGED = 'sfx_skill_recharged.mp3'
SFX_SKILL_BLAST_FIRE = 'sfx_wand_blast_fire.mp3'
SFX_SKILL_BLAST_HIT = 'sfx_wand_blast_impact.mp3'
SFX_SKILL_SOULFLAY_CHARGE = 'sfx_wand_soul_flay_charge.mp3'
SFX_SKILL_SOULFLAY_HOLD = 'sfx_wand_soul_flay_hold.wav'
SFX_SKILL_SOULFLAY_FIRE = 'sfx_wand_soul_flay_fire.mp3'
SFX_SKILL_SOULFLAY_HIT = 'sfx_wand_soul_flay_impact.mp3'
SFX_SKILL_PESTILENCE_CHARGE = 'sfx_wand_pestilence_charge.mp3'
SFX_SKILL_PESTILENCE_HOLD = 'sfx_wand_pestilence_hold.wav'
SFX_SKILL_PESTILENCE_FIRE = 'sfx_wand_pestilence_fire.mp3'
SFX_SKILL_PESTILENCE_HIT = 'sfx_wand_pestilence_impact.mp3'
SFX_SKILL_WITHER_CHARGE = 'sfx_wand_wither_charge.mp3'
SFX_SKILL_WITHER_HOLD = 'sfx_wand_wither_hold.wav'
SFX_SKILL_WITHER_FIRE = 'sfx_wand_wither_fire.mp3'
SFX_SKILL_WITHER_HIT = 'sfx_wand_wither_impact.mp3'
SFX_SKILL_HELLFIRE_CHARGE = 'sfx_wand_hellfire_charge.mp3'
SFX_SKILL_HELLFIRE_HOLD = 'sfx_wand_hellfire_hold.wav'
SFX_SKILL_HELLFIRE_FIRE = 'sfx_wand_hellfire_fire.mp3'
SFX_SKILL_HELLFIRE_HIT = 'sfx_wand_hellfire_impact.mp3'
SFX_SKILL_BANISH_CHARGE = 'sfx_wand_banish_charge.mp3'
SFX_SKILL_BANISH_HOLD = 'sfx_wand_banish_hold.wav'
SFX_SKILL_BANISH_FIRE = 'sfx_wand_banish_fire.mp3'
SFX_SKILL_BANISH_HIT = 'sfx_wand_banish_impact.mp3'
SFX_SKILL_DESOLATION_CHARGE = 'sfx_wand_desolation_charge.mp3'
SFX_SKILL_DESOLATION_HOLD = 'sfx_wand_desolation_hold.wav'
SFX_SKILL_DESOLATION_FIRE = 'sfx_wand_desolation_fire.mp3'
SFX_SKILL_DESOLATION_HIT = 'sfx_wand_desolation_impact.mp3'
SFX_SKILL_AURA_CAST = 'pir_s_skl_auraCast.mp3'
SFX_SKILL_AURA_LOOP = 'pir_s_skl_aura_loop.wav'
SFX_SKILL_AURA_OFF = 'pir_s_skl_auraOff.mp3'
SFX_SKILL_CLEANSE = 'pir_s_skl_cleanse.mp3'
SFX_SKILL_HEX_WARD = 'pir_s_skl_hexWard.mp3'
SFX_SKILL_REFLECT_WARD = 'pir_s_skl_reflectWard.mp3'
SFX_SKILL_WARD_LOOP = 'pir_s_skl_ward_loop.wav'
SFX_STOWAWAY_CRATE_SHUT = 'crate_shut.mp3'
SFX_GUI_WHISPER = 'sfx_gui_whisper.mp3'
SFX_GUI_ROLLOVER_01 = 'sfx_gui_click_08.mp3'
SFX_GUI_CLICK_01 = 'sfx_gui_click_22.mp3'
SFX_GUI_SKILL_RECHARGED = 'sword-swoosh2.mp3'
SFX_GUI_ZOOM_OUT = 'sfx_gui_zoom-io.mp3'
SFX_GUI_ZOOM_IN = 'sfx_gui_zoom-oi.mp3'
SFX_GUI_ALARM = 'sfx_gui_click_20.wav'
SFX_GUI_OUT_OF_TIME = 'sfx_gui_negative.mp3'
SFX_GUI_SHOW_PANEL = 'sfx_gui_reminder.mp3'
SFX_GUI_STACK_POPUP = 'sfx_gui_zoom-io.mp3'
SFX_GUI_LOOT = 'treasure_hit_1.mp3'
SFX_GUI_LEVELUP = 'treasure_whoosh.mp3'
SFX_GUI_OPEN_SEACHEST = 'sfx_gui_seachest-open.mp3'
SFX_GUI_CLOSE_SEACHEST = 'sfx_gui_seachest-close.mp3'
SFX_GUI_REWARD_POPUP = 'sfx_combat_level_up.mp3'
SFX_GUI_TAKE_ALL = 'sfx_cards_chips-collect.mp3'
SFX_GUI_TAKE_GOLD = 'sfx_cards_chips-all.mp3'
SFX_GUI_TAKE_NONGOLD = 'sfx_combat_resist.mp3'
SFX_PVP_TREASURE_DEPOSIT = 'treasure_hit_1.mp3'
SFX_FX_EXPLODE_WOOD_01 = 'explo_wood_1.mp3'
SFX_FX_EXPLODE_WOOD_02 = 'explo_wood_2.mp3'
SFX_FX_EXPLODE_WOOD_GLASS = 'explode-w-glass.mp3'
SFX_FX_FIREWORK_DISTANT_01 = 'firework_distance_01.mp3'
SFX_FX_FIREWORK_DISTANT_02 = 'firework_distance_02.mp3'
SFX_FX_FIREWORK_DISTANT_03 = 'firework_distance_03.mp3'
SFX_FX_FIREWORK_EXPLODE_01 = 'firework_explosion_01.mp3'
SFX_FX_FIREWORK_EXPLODE_02 = 'firework_explosion_02.mp3'
SFX_FX_FIREWORK_EXPLODE_03 = 'firework_explosion_03.mp3'
SFX_FX_FIREWORK_WHISTLE_01 = 'firework_whistle_01.mp3'
SFX_FX_FIREWORK_WHISTLE_02 = 'firework_whistle_02.mp3'
SFX_FX_FIRE_LOOP = 'sfx_fire_loop.wav'
SFX_FX_WATER_SPLASH_01 = 'wtrsplash_1.mp3'
SFX_FX_WATER_SPLASH_02 = 'wtrsplash_2.mp3'
SFX_FX_WATER_SPLASH_03 = 'wtrsplash_3.mp3'
SFX_FX_WATER_SPLASH_04 = 'wtrsplash_4.mp3'
SFX_FX_WATER_SPLASH_05 = 'wtrsplash_5.mp3'
SFX_FX_WATER_SPLASH_06 = 'wtrsplash_6.mp3'
SFX_FX_WATER_SPLASH_07 = 'wtrsplash_7.mp3'
SFX_FX_WATER_SPLASH_08 = 'wtrsplash_8.mp3'
SFX_FX_WATERFALL_SMALL = 'sfx_waterfall_small.wav'
SFX_FX_WATERFALL_CAVE = 'sfx_cave_waterfall.wav'
SFX_FX_WOOD_IMPACT_01 = 'wood_impact_1.mp3'
SFX_FX_WOOD_IMPACT_02 = 'wood_impact_2.mp3'
SFX_FX_WOOD_IMPACT_03 = 'wood_impact_3.mp3'
SFX_FX_WOOD_IMPACT_04 = 'wood_impact_4.mp3'
SFX_FX_WOOD_SHATTER_02 = 'sfx_wood_shatter2.mp3'
SFX_FX_WOOD_SHATTER_03 = 'sfx_wood_shatter3.mp3'
SFX_FX_THUNDERCLAP = 'thunderclap.mp3'
SFX_FX_THUNDER_START = 'thunder-start.mp3'
SFX_FX_JUNGLE_BIRDS_01 = 'sfx_jungle_birds_v1.mp3'
SFX_FX_JUNGLE_BIRDS_02 = 'sfx_jungle_birds_v2.mp3'
SFX_FX_SWAMP_FROG_01 = 'sfx_swamp_frog_crowd.mp3'
SFX_FX_SWAMP_OWL_01 = 'sfx_swamp_owl_call01.mp3'
SFX_FX_SWAMP_OWL_02 = 'sfx_swamp_owl_call02.mp3'
SFX_FX_VOLCANO_ERUPT = 'eruption.mp3'
SFX_FX_VOLCANO_ERUPT_LOOP = 'eruption_loop.wav'
SFX_FX_OCEAN_LOOP = 'oceanloop.mp3'
SFX_FX_SACK_APPEAR_01 = 'sfx_cards_chips-bet.mp3'
SFX_FX_CHEST_APPEAR_01 = 'sfx_gui_positive_alt.mp3'
SFX_FX_CHEST_APPEAR_02 = 'sfx_gui_rejected.mp3'
SFX_FX_OPEN_SACK_01 = 'sfx_combat_resist.mp3'
SFX_FX_OPEN_CHEST_01 = 'sfx_door_shanty_open.mp3'
SFX_FX_OPEN_CHEST_02 = 'unlock_try.mp3'
SFX_FX_BOOM = 'Boom2.mp3'
SFX_FX_ELEVATOR = 'sfx_elevator_gears.mp3'
SFX_MINIGAME_BH_MISS = 'sfx_cards_deal_01.mp3'
SFX_MINIGAME_BH_HIT = 'ship_deck_hammer.mp3'
SFX_MINIGAME_CARDS_HIT = 'sfx_cards_hit.mp3'
SFX_MINIGAME_CARDS_SHUFFLE = 'sfx_cards_shuffle.mp3'
SFX_MINIGAME_CARDS_DEAL_01 = 'sfx_cards_deal_01.mp3'
SFX_MINIGAME_CARDS_DEAL_02 = 'sfx_cards_deal_02.mp3'
SFX_MINIGAME_CARDS_DEAL_03 = 'sfx_cards_deal_03.mp3'
SFX_MINIGAME_CARDS_DEAL_04 = 'sfx_cards_deal_04.mp3'
SFX_MINIGAME_CARDS_DEAL_05 = 'sfx_cards_deal_05.mp3'
SFX_MINIGAME_CARDS_DEAL_06 = 'sfx_cards_deal_06.mp3'
SFX_MINIGAME_CARDS_DEAL_07 = 'sfx_cards_deal_07.mp3'
SFX_MINIGAME_CARDS_DEAL_08 = 'sfx_cards_deal_08.mp3'
SFX_MINIGAME_CARDS_FOLD = 'sfx_cards_fold.mp3'
SFX_MINIGAME_CARDS_FLIP = 'sfx_cards_flip.mp3'
SFX_MINIGAME_CARDS_PICKUP = 'sfx_cards_pickup.mp3'
SFX_MINIGAME_CARDS_CHECK = 'sfx_cards_check.mp3'
SFX_MINIGAME_CARDS_CHIPS_BET = 'sfx_cards_chips-bet.mp3'
SFX_MINIGAME_CARDS_CHIPS_COLLECT = 'sfx_cards_chips-collect.mp3'
SFX_MINIGAME_CARDS_CHIPS_ALL = 'sfx_cards_chips-all.mp3'
SFX_MINIGAME_LEVELUP = 'treasure_whoosh.mp3'
SFX_MINIGAME_REPAIR_FAIL = 'pir_s_gam_srp_bad_bilge.wav'
SFX_MINIGAME_REPAIR_GENERAL_GUIUP = 'sfx_srp_guiup.mp3'
SFX_MINIGAME_REPAIR_GENERAL_GUIDOWN = 'sfx_srp_guidown.mp3'
SFX_MINIGAME_REPAIR_BRACE_PIECEMOVE = 'sfx_srp_brac_piecemove.mp3'
SFX_MINIGAME_REPAIR_BRACE_LINECOMPLETE = 'sfx_srp_brace_complete.mp3'
SFX_MINIGAME_REPAIR_CAREEN_CHRGCOMP = 'sfx_srp_careen_chrgcomp.mp3'
SFX_MINIGAME_REPAIR_CAREEN_CHRGEMPTY = 'sfx_srp_careen_chrgempty.mp3'
SFX_MINIGAME_REPAIR_CAREEN_COMPLETE1 = 'sfx_srp_careen_complete01.mp3'
SFX_MINIGAME_REPAIR_CAREEN_COMPLETE2 = 'sfx_srp_careen_complete02.mp3'
SFX_MINIGAME_REPAIR_CAREEN_COMPLETE3 = 'sfx_srp_careen_complete03.mp3'
SFX_MINIGAME_REPAIR_CAREEN_COMPLETE4 = 'sfx_srp_careen_complete04.mp3'
SFX_MINIGAME_REPAIR_CAREEN_COMPLETE5 = 'sfx_srp_careen_complete05.mp3'
SFX_MINIGAME_REPAIR_CAREEN_SCRUB01 = 'sfx_srp_careen_scrub01.mp3'
SFX_MINIGAME_REPAIR_CAREEN_SCRUB02 = 'sfx_srp_careen_scrub02.mp3'
SFX_MINIGAME_REPAIR_CAREEN_SCRUB03 = 'sfx_srp_careen_scrub03.mp3'
SFX_MINIGAME_REPAIR_CAREEN_SCRUB04 = 'sfx_srp_careen_scrub04.mp3'
SFX_MINIGAME_REPAIR_CAREEN_SCRUB05 = 'sfx_srp_careen_scrub05.mp3'
SFX_MINIGAME_REPAIR_CAREEN_SCRUB06 = 'sfx_srp_careen_scrub06.mp3'
SFX_MINIGAME_REPAIR_CAREEN_SCRUB07 = 'sfx_srp_careen_scrub07.mp3'
SFX_MINIGAME_REPAIR_CAREEN_SCRUB08 = 'sfx_srp_careen_scrub08.mp3'
SFX_MINIGAME_REPAIR_GENERAL_GAMECOMPLETE = 'sfx_srp_gamecomplete.mp3'
SFX_MINIGAME_REPAIR_GENERAL_CYCLECOMPLETE = 'sfx_srp_cyclecomplete.mp3'
SFX_MINIGAME_REPAIR_GENERAL_READY = 'sfx_srp_ready.mp3'
SFX_MINIGAME_REPAIR_GENERAL_GO = 'sfx_srp_go.mp3'
SFX_MINIGAME_REPAIR_HAMMER_COMPLETE = 'sfx_srp_hammer_complete.mp3'
SFX_MINIGAME_REPAIR_HAMMER_HIT01 = 'sfx_srp_hammer_hit01.mp3'
SFX_MINIGAME_REPAIR_HAMMER_HIT02 = 'sfx_srp_hammer_hit02.mp3'
SFX_MINIGAME_REPAIR_HAMMER_HIT03 = 'sfx_srp_hammer_hit03.mp3'
SFX_MINIGAME_REPAIR_HAMMER_PERFECT = 'sfx_srp_hammer_perfect.mp3'
SFX_MINIGAME_REPAIR_HAMMER_WEAKHIT01 = 'sfx_srp_hammer_weakhit01.mp3'
SFX_MINIGAME_REPAIR_HAMMER_WEAKHIT02 = 'sfx_srp_hammer_weakhit02.mp3'
SFX_MINIGAME_REPAIR_PITCH_LEAK01 = 'sfx_srp_pitch_leak01.mp3'
SFX_MINIGAME_REPAIR_PITCH_LEAK02 = 'sfx_srp_pitch_leak02.mp3'
SFX_MINIGAME_REPAIR_PITCH_LEAK03 = 'sfx_srp_pitch_leak03.mp3'
SFX_MINIGAME_REPAIR_PITCH_LEAK04 = 'sfx_srp_pitch_leak04.mp3'
SFX_MINIGAME_REPAIR_PITCH_PLUG01 = 'sfx_srp_pitch_plug01.mp3'
SFX_MINIGAME_REPAIR_PITCH_PLUG02 = 'sfx_srp_pitch_plug02.mp3'
SFX_MINIGAME_REPAIR_PITCH_PLUG03 = 'sfx_srp_pitch_plug03.mp3'
SFX_MINIGAME_REPAIR_PUMP_BAD = 'sfx_srp_pump_bad.mp3'
SFX_MINIGAME_REPAIR_PUMP_DOWN01 = 'sfx_srp_pump_down01.mp3'
SFX_MINIGAME_REPAIR_PUMP_DOWN02 = 'sfx_srp_pump_down02.mp3'
SFX_MINIGAME_REPAIR_PUMP_DOWN03 = 'sfx_srp_pump_down03.mp3'
SFX_MINIGAME_REPAIR_PUMP_GOOD01 = 'sfx_srp_pump_good01.mp3'
SFX_MINIGAME_REPAIR_PUMP_GOOD02 = 'sfx_srp_pump_good02.mp3'
SFX_MINIGAME_REPAIR_PUMP_GOOD03 = 'sfx_srp_pump_good03.mp3'
SFX_MINIGAME_REPAIR_PUMP_GOOD04 = 'sfx_srp_pump_good04.mp3'
SFX_MINIGAME_REPAIR_PUMP_GOOD05 = 'sfx_srp_pump_good05.mp3'
SFX_MINIGAME_REPAIR_PUMP_GOOD06 = 'sfx_srp_pump_good06.mp3'
SFX_MINIGAME_REPAIR_PUMP_UP01 = 'sfx_srp_pump_up01.mp3'
SFX_MINIGAME_REPAIR_PUMP_UP02 = 'sfx_srp_pump_up02.mp3'
SFX_MINIGAME_REPAIR_PUMP_UP03 = 'sfx_srp_pump_up03.mp3'
SFX_MINIGAME_REPAIR_SAW_COMPLETE = 'sfx_srp_saw_complete.mp3'
SFX_MINIGAME_REPAIR_SAW_FAIL = 'sfx_srp_saw_fail.mp3'
SFX_MINIGAME_REPAIR_SAW_INOUT01 = 'sfx_srp_saw_inout01.mp3'
SFX_MINIGAME_REPAIR_SAW_INOUT02 = 'sfx_srp_saw_inout02.mp3'
SFX_MINIGAME_REPAIR_SAW_INOUT03 = 'sfx_srp_saw_inout03.mp3'
SFX_MINIGAME_REPAIR_SAW_INOUT04 = 'sfx_srp_saw_inout04.mp3'
SFX_MINIGAME_POTION_FX_ALLIGATOR = 'sfx_pot_fx_alligator.mp3'
SFX_MINIGAME_POTION_FX_SCORPION = 'sfx_pot_fx_scorpion.mp3'
SFX_MINIGAME_POTION_FX_CRAB = 'sfx_pot_fx_crab.mp3'
SFX_MINIGAME_POTION_FX_BARF_1 = 'sfx_pot_fx_barf.mp3'
SFX_MINIGAME_POTION_FX_BARF_2 = 'sfx_pot_fx_barf02.mp3'
SFX_MINIGAME_POTION_FX_BARF_3 = 'sfx_pot_fx_barf03.mp3'
SFX_MINIGAME_POTION_FX_BARF_4 = 'sfx_pot_fx_barf04.mp3'
SFX_MINIGAME_POTION_FX_BURP_1 = 'sfx_pot_fx_burp.mp3'
SFX_MINIGAME_POTION_FX_BURP_2 = 'sfx_pot_fx_burp02.mp3'
SFX_MINIGAME_POTION_FX_BURP_3 = 'sfx_pot_fx_burp03.mp3'
SFX_MINIGAME_POTION_FX_FART_1 = 'sfx_pot_fx_fart.mp3'
SFX_MINIGAME_POTION_FX_FART_2 = 'sfx_pot_fx_fart02.mp3'
SFX_MINIGAME_POTION_FX_FART_3 = 'sfx_pot_fx_fart03.mp3'
SFX_MINIGAME_POTION_FX_FART_4 = 'sfx_pot_fx_fart04.mp3'
SFX_MINIGAME_POTION_FX_FART_5 = 'sfx_pot_fx_fart05.mp3'
SFX_MINIGAME_POTION_FX_GROW = 'sfx_pot_fx_grow.mp3'
SFX_MINIGAME_POTION_FX_SHRINK = 'sfx_pot_fx_shrink.mp3'
SFX_MINIGAME_POTION_FX_SPARKLE = 'sfx_pot_fx_sparkle.mp3'
SFX_MINIGAME_POTION_FX_TRANFORMATION = 'sfx_pot_fx_transformation.mp3'
SFX_MINIGAME_POTION_FX_DEBUFF = 'sfx_pot_fx_debuff.mp3'
SFX_MINIGAME_POTION_CANTPLACE = 'pir_s_gam_pot_cantplace.mp3'
SFX_MINIGAME_POTION_FLIP = 'pir_s_gam_pot_ingredflip.mp3'
SFX_MINIGAME_POTION_LOSE = 'pir_s_gam_pot_boardfail.mp3'
SFX_MINIGAME_POTION_WIN = 'pir_s_gam_pot_recipecomp.mp3'
SFX_MINIGAME_POTION_FILL = 'pir_s_gam_pot_ingredsucc.mp3'
SFX_MINIGAME_POTION_WRONG = 'pir_s_gam_pot_ingredwrong.mp3'
SFX_MINIGAME_POTION_DROP = 'pir_s_gam_pot_ingreddrop.mp3'
SFX_MINIGAME_POTION_DROP_2 = 'pir_s_gam_pot_ingreddrop02.mp3'
SFX_MINIGAME_POTION_DROP_SOFT = 'pir_s_gam_pot_ingreddropsoft01.mp3'
SFX_MINIGAME_POTION_DROP_SOFT_2 = 'pir_s_gam_pot_ingreddropsoft02.mp3'
SFX_MINIGAME_POTION_MATCH = 'pir_s_gam_pot_ingredcomb.mp3'
SFX_MINIGAME_POTION_SOULMATCH = 'pir_s_gam_pot_matchsouls.mp3'
SFX_MINIGAME_POTION_SOULMADE = 'pir_s_gam_pot_soulcomb.mp3'
MUSIC_MINIGAME_POTION = 'music_potions.mp3'
SFX_MINIGAME_FISHING_BITE_LARGE = 'sfx_fsh_bitelarge.mp3'
SFX_MINIGAME_FISHING_BITE_MEDIUM = 'sfx_fsh_bitemed.mp3'
SFX_MINIGAME_FISHING_BITE_SMALL = 'sfx_fsh_bitesmall.mp3'
SFX_MINIGAME_FISHING_BITE_ALERT = 'sfx_fsh_fishbitealert.mp3'
SFX_MINIGAME_FISHING_FISH_ESCAPE = 'sfx_fsh_fishescape.mp3'
SFX_MINIGAME_FISHING_FISH_FIGHT_01 = 'sfx_fsh_fishfight01.mp3'
SFX_MINIGAME_FISHING_FISH_FIGHT_02 = 'sfx_fsh_fishfight02.mp3'
SFX_MINIGAME_FISHING_FISH_OUT_LARGE_01 = 'sfx_fsh_fishoutlarge01.mp3'
SFX_MINIGAME_FISHING_FISH_OUT_LARGE_02 = 'sfx_fsh_fishoutlarge02.mp3'
SFX_MINIGAME_FISHING_FISH_OUT_LARGE_03 = 'sfx_fsh_fishoutlarge03.mp3'
SFX_MINIGAME_FISHING_FISH_OUT_SMALL_01 = 'sfx_fsh_fishoutsmall01.mp3'
SFX_MINIGAME_FISHING_FISH_OUT_SMALL_02 = 'sfx_fsh_fishoutsmall02.mp3'
SFX_MINIGAME_FISHING_FISH_OUT_SMALL_03 = 'sfx_fsh_fishoutsmall03.mp3'
SFX_MINIGAME_FISHING_CAST_LARGE = 'sfx_fsh_linecastlarge.mp3'
SFX_MINIGAME_FISHING_CAST_SMALL = 'sfx_fsh_linecastsmall.mp3'
SFX_MINIGAME_FISHING_LURE_EQUIP = 'sfx_fsh_lureequip.mp3'
SFX_MINIGAME_FISHING_SUCCESS_CAUGHT = 'sfx_fsh_successcaught.mp3'
SFX_MINIGAME_FISHING_USABILITY = 'sfx_fsh_useability.mp3'
SFX_MINIGAME_FISHING_AMBIENCE = 'sfx_fsh_ambience.mp3'
SFX_MINIGAME_FISHING_LEGENDARY_REEL_SPIN = 'sfx_fsh_legendaryreelspin.wav'
SFX_MINIGAME_FISHING_LINE_REEL_FAST = 'sfx_fsh_linereelfast.wav'
SFX_MINIGAME_FISHING_LINE_REEL_SLOW = 'sfx_fsh_linereelslow.wav'
SFX_MINIGAME_FISHING_FISH_OUT_MEDIUM_01 = 'sfx_fsh_fishoutmed01.mp3'
SFX_MINIGAME_FISHING_FISH_OUT_MEDIUM_02 = 'sfx_fsh_fishoutmed02.mp3'
SFX_MINIGAME_FISHING_LEGENDARY_MUSIC = 'music_fsh_legendary.mp3'
SFX_MINIGAME_FISHING_LEGENDARY_RED = 'sfx_fsh_legendaryred.wav'
SFX_MINIGAME_FISHING_LEGENDARY_GREEN = 'music_fsh_legendarygreen.mp3'
SFX_MINIGAME_FISHING_LEGENDARY_SUCCESS = 'music_fsh_legendarycaught.mp3'
SFX_MINIGAME_FISHING_LEGENDARY_FAIL = 'music_fsh_legendaryfail.mp3'
SFX_MINIGAME_FISHING_LURE_HIT = 'sfx_fsh_lurehit.mp3'
SFX_MINIGAME_FISHING_LURE_OUT = 'sfx_fsh_lureout.mp3'
SFX_MINIGAME_FISHING_REEL_END = 'sfx_fsh_reelend.mp3'
SFX_MINIGAME_FISHING_ROD_OUT = 'sfx_fsh_rodout.mp3'
SFX_MINIGAME_FISHING_ROD_PUT_AWAY = 'sfx_fsh_rodputaway.mp3'
SFX_MINIGAME_FISHING_SKILL = 'sfx_fsh_fishingSkill.mp3'
MUSIC_MINIGAME_FISHING = 'music_fishing.mp3'
SFX_MINIGAME_CANNON_SHIP_SINK = 'sfx_can_shipsink.mp3'
SFX_MINIGAME_CANNON_POWDERKEG_EXPLODE = 'sfx_can_powderkeg.mp3'
SFX_MINIGAME_CANNON_MAST_BREAK = 'sfx_can_mastbreak.mp3'
SFX_MINIGAME_CANNON_MINE_HIT = 'sfx_can_minehit.mp3'
SFX_MINIGAME_CANNON_ICE_FREEZE = 'sfx_can_icefreeze.mp3'
SFX_MINIGAME_CANNON_ICE_HIT = 'sfx_can_icehit.mp3'
SFX_MINIGAME_CANNON_BOMB_HIT = 'sfx_can_bombhit.mp3'
SFX_MINIGAME_CANNON_HOTSHOT_HIT = 'sfx_can_hotshothit.mp3'
SFX_MINIGAME_CANNON_FLAMING = 'sfx_can_flamingprojectile.mp3'
SFX_MINIGAME_CANNON_FIRESTORM_HIT = 'sfx_can_firestormhit.mp3'
SFX_MINIGAME_CANNON_AMMO_BOUGHT = 'sfx_can_ammobought.mp3'
SFX_MINIGAME_CANNON_AMMO_OUT = 'sfx_can_ammoout.mp3'
SFX_MINIGAME_CANNON_AMMO_DENY = 'sfx_can_ammocantbuy.mp3'
SFX_MINIGAME_CANNON_AMMO_RECHARGE = 'sfx_can_ammochrgremind.mp3'
SFX_MINIGAME_CANNON_TRANSFORM_REPEATER = 'sfx_can_transformrepeater.mp3'
SFX_MINIGAME_CANNON_TRANSFORM_NAVY = 'sfx_can_transformnavy.mp3'
SFX_MINIGAME_CANNON_GOLD_ATTACK = 'sfx_can_goldattack.mp3'
SFX_MINIGAME_CANNON_SHARK = 'sfx_can_baitshotshark.mp3'
SFX_MINIGAME_CANNON_BARREL_LAUNCH = 'sfx_can_barrellaunch.mp3'
SFX_MINIGAME_CANNON_BARREL_HIT = 'sfx_can_barrelhit.mp3'
SFX_MINIGAME_CANNON_BARREL_SHOTDOWN = 'sfx_can_barrelshotdown.mp3'
SFX_MINIGAME_CANNON_BARREL_CLOSE = 'sfx_can_barrelclose.mp3'
MUSIC_MINIGAME_CANNON = 'music_cannon_repair.mp3'
SFX_LOCKPICK_SUCCESS = 'unlock_success.mp3'
SFX_LOCKPICK_FAIL = 'unlock_fail.mp3'
SFX_LOCKPICK_TRY = 'unlock_try.mp3'
SFX_AVATAR_DIG = 'sfx_avatar_dig.mp3'
SFX_AVATAR_KICK_DOOR = 'sfx_kick_door_loop.mp3'
SFX_AVATAR_RUN_SAND = 'sfx_avatar_run_sandx2.mp3'
SFX_AVATAR_RUN_WOOD = 'sfx_avatar_run_woodx2.mp3'
SFX_AVATAR_RUN_CAVE = 'sfx_avatar_run_cavex2.mp3'
SFX_AVATAR_RUN_ROCK = 'sfx_avatar_run_rockx2.mp3'
SFX_AVATAR_RUN_GRASS = 'sfx_avatar_walk_grassx2.mp3'
SFX_AVATAR_RUN_GRAVEL = 'sfx_avatar_run_gravelx2.mp3'
SFX_AVATAR_RUN_WATER = 'sfx_avatar_splash_run2.mp3'
SFX_AVATAR_SWIM = 'sfx_avatar_swim.mp3'
SFX_AVATAR_WALK_SAND = 'sfx_avatar_walk_sandx2.mp3'
SFX_AVATAR_WALK_WOOD = 'sfx_avatar_walk_woodx2.mp3'
SFX_AVATAR_WALK_CAVE = 'sfx_avatar_walk_cavex2.mp3'
SFX_AVATAR_WALK_ROCK = 'sfx_avatar_walk_rockx2.mp3'
SFX_AVATAR_WALK_GRASS = 'sfx_avatar_walk_grassx2.mp3'
SFX_AVATAR_WALK_GRAVEL = 'sfx_avatar_walk_gravelx2.mp3'
SFX_AVATAR_WALK_WATER = 'sfx_avatar_splash_run1.mp3'
SFX_AVATAR_NOISEMAKER = 'sfx_noisemaker.mp3'
SFX_AVATAR_TELEPORT = 'sfx_ship_teleport_out.mp3'
SFX_AVATAR_CLAP = 'sfx_emote_clap.wav'
SFX_DOOR_SLAM = 'sfx_door_shanty_slam.mp3'
SFX_DOOR_OPEN_ENGLISH = 'sfx_door_english_open.mp3'
SFX_DOOR_OPEN_SHANTY = 'sfx_door_shanty_open.mp3'
SFX_DOOR_OPEN_SPANISH = 'sfx_door_spanish_open.mp3'
SFX_SHIP_RIGGING = 'ship_rigging_std.mp3'
SFX_SHIP_HAMMER = 'ship_deck_hammer.mp3'
SFX_SHIP_SAIL_UNFURL = 'sfx_ship_sails-unfurl.mp3'
SFX_SHIP_SAIL_FURL = 'sfx_ship_sails-furl.mp3'
SFX_SHIP_RAMMING = 'sfx_ship_ramming.mp3'
SFX_SHIP_SINKING = 'sfx_ship_sinking.mp3'
SFX_SHIP_GRAPPLE = 'grappling_ratchet_groan.mp3'
SFX_SHIP_GLASS_BREAK_01 = 'glass_break1.mp3'
SFX_SHIP_GLASS_BREAK_02 = 'glass_break2.mp3'
SFX_SHIP_GLASS_BREAK_03 = 'glass_break3.mp3'
SFX_SHIP_GLASS_BREAK_04 = 'explode-w-glass.mp3'
SFX_SHIP_MAST_BREAK_01 = 'mastBreak1.mp3'
SFX_SHIP_MAST_BREAK_02 = 'mastBreak2.mp3'
SFX_SHIP_SAIL_TEAR = 'x_impact_sail.mp3'
SFX_AMBIENT_SHORE = 'sfx_ocean_shore.mp3'
VO_THREAT_PORT_BUT_OPEN_CUBA = 'VO_Threat_Port_But_Open_Cuba.mp3'
VO_THREAT_PORT_BUT_OPEN_DEVILSANVIL = 'VO_Threat_Port_But_Open_Devilsanvil.mp3'
VO_THREAT_PORT_BUT_OPEN_RAVENSCOVE = 'VO_Threat_Port_But_Open_Ravenscove.mp3'
VO_THREAT_PORT_BUT_OPEN_TORTUGA = 'VO_Threat_Port_But_Open_Tortuga.mp3'
VO_THREAT_PORT_CLOSE_ALL = 'VO_Threat_Port_Close_All.mp3'
VO_THREAT_PORT_CLOSE_CUBA = 'VO_Threat_Port_Close_Cuba.mp3'
VO_THREAT_PORT_CLOSE_DEVILSANVIL = 'VO_Threat_Port_Close_Devilsanvil.mp3'
VO_THREAT_PORT_CLOSE_RAVENSCOVE = 'VO_Threat_Port_Close_Ravenscove.mp3'
VO_THREAT_PORT_CLOSE_TORTUGA = 'VO_Threat_Port_Close_Tortuga.mp3'
VO_THREAT_INBOUND_BOUNTYHUNTER_A = 'VO_Threat_Inbound_Bountyhunter_a.mp3'
VO_THREAT_INBOUND_BOUNTYHUNTER_B = 'VO_Threat_Inbound_Bountyhunter_b.mp3'
VO_THREAT_INBOUND_BOUNTYHUNTER_C = 'VO_Threat_Inbound_Bountyhunter_c.mp3'
VO_THREAT_INBOUND_WARSHIP_A = 'VO_Threat_Inbound_Warship_a.mp3'
VO_THREAT_INBOUND_WARSHIP_B = 'VO_Threat_Inbound_Warship_b.mp3'
VO_THREAT_INBOUND_HELP_A = 'VO_Threat_Inbound_Help_a.mp3'
VO_THREAT_INBOUND_HELP_B = 'VO_Threat_Inbound_Help_b.mp3'
VO_THREAT_INBOUND_SIMPLE_A = 'VO_Threat_Inbound_Simple_a.mp3'
VO_THREAT_INBOUND_SIMPLE_B = 'VO_Threat_Inbound_Simple_b.mp3'
VO_THREAT_INBOUND_SIMPLE_C = 'VO_Threat_Inbound_Simple_c.mp3'
VO_THREAT_L1_ANNOUNCE_A = 'VO_Threat_L1_Announce_a.mp3'
VO_THREAT_L1_ANNOUNCE_B = 'VO_Threat_L1_Announce_b.mp3'
VO_THREAT_L1_ANNOUNCE_C = 'VO_Threat_L1_Announce_c.mp3'
VO_THREAT_L2_ANNOUNCE_A = 'VO_Threat_L2_Announce_a.mp3'
VO_THREAT_L2_ANNOUNCE_B = 'VO_Threat_L2_Announce_b.mp3'
VO_THREAT_L3_ANNOUNCE_A = 'VO_Threat_L3_Announce_a.mp3'
VO_THREAT_L3_ANNOUNCE_B = 'VO_Threat_L3_Announce_b.mp3'
VO_THREAT_L4_ANNOUNCE_A = 'VO_Threat_L4_Announce_a.mp3'
VO_THREAT_CANT_PORT_WILD_A = 'VO_Threat_Cant_Port_Wild_a.mp3'
VO_THREAT_CANT_PORT_NAVY_A = 'VO_Threat_Cant_Port_Navy_a.mp3'
VO_THREAT_CANT_PORT_NAVY_B = 'VO_Threat_Cant_Port_Navy_b.mp3'
VO_THREAT_SHIPSUNK_A = 'VO_Threat_ShipSunk_a.mp3'
VO_THREAT_SHIPSUNK_B = 'VO_Threat_ShipSunk_b.mp3'
VO_THREAT_SHIPSUNK_C = 'VO_Threat_ShipSunk_c.mp3'
VO_THREAT_SHIPSUNK_D = 'VO_Threat_ShipSunk_d.mp3'
VO_THREAT_SHIPSUNK_E = 'VO_Threat_ShipSunk_e.mp3'
VO_THREAT_SHIPSUNK_F = 'VO_Threat_ShipSunk_f.mp3'
VO_THREAT_FORT_SHOOTING_A = 'VO_Threat_Fort_Shooting_a.mp3'
Music2IslandDict = {LocationIds.RAMBLESHACK_ISLAND: {MUSIC_MAIN: MUSIC_CUBA,MUSIC_ALT: MUSIC_CUBA_ALT,MUSIC_COMBAT: MUSIC_CUBA_COMBAT},LocationIds.RAMBLESHACK_INSIDE: {MUSIC_COMBAT: None},LocationIds.PORT_ROYAL_ISLAND: {MUSIC_MAIN: MUSIC_PORT_ROYAL,MUSIC_ALT: MUSIC_PORT_ROYAL_ALT,MUSIC_COMBAT: MUSIC_PORT_ROYAL_COMBAT},LocationIds.TORTUGA_ISLAND: {MUSIC_MAIN: MUSIC_TORTUGA,MUSIC_ALT: MUSIC_TORTUGA_ALT,MUSIC_COMBAT: MUSIC_TORTUGA_COMBAT},LocationIds.DEL_FUEGO_ISLAND: {MUSIC_MAIN: MUSIC_PADRES,MUSIC_ALT: MUSIC_PADRES_ALT,MUSIC_COMBAT: MUSIC_PADRES_COMBAT},LocationIds.ANVIL_ISLAND: {MUSIC_MAIN: MUSIC_DEVILS_ANVIL,MUSIC_ALT: MUSIC_DEVILS_ANVIL_ALT,MUSIC_COMBAT: MUSIC_DEVILS_ANVIL_COMBAT},LocationIds.DRIFTWOOD_ISLAND: {MUSIC_MAIN: MUSIC_DRIFTWOOD,MUSIC_ALT: MUSIC_DRIFTWOOD_ALT,MUSIC_COMBAT: MUSIC_DRIFTWOOD_COMBAT},LocationIds.RUMRUNNER_ISLE: {MUSIC_MAIN: MUSIC_RUMRUNNERS,MUSIC_ALT: MUSIC_RUMRUNNERS_ALT,MUSIC_COMBAT: MUSIC_RUMRUNNERS_COMBAT},LocationIds.ISLA_PERDIDA: {MUSIC_MAIN: MUSIC_PERDIDA,MUSIC_ALT: MUSIC_PERDIDA_ALT,MUSIC_COMBAT: MUSIC_PERDIDA_COMBAT},LocationIds.CUBA_ISLAND: {MUSIC_MAIN: MUSIC_CUBA,MUSIC_ALT: MUSIC_CUBA_ALT,MUSIC_COMBAT: MUSIC_CUBA_COMBAT},LocationIds.KINGSHEAD_ISLAND: {MUSIC_MAIN: MUSIC_KINGSHEAD,MUSIC_ALT: MUSIC_KINGSHEAD_ALT,MUSIC_COMBAT: MUSIC_KINGSHEAD_COMBAT},LocationIds.ISLA_CANGREJOS: {MUSIC_MAIN: MUSIC_CANGREJOS,MUSIC_ALT: MUSIC_CANGREJOS_ALT,MUSIC_COMBAT: MUSIC_CANGREJOS_COMBAT},LocationIds.CUTTHROAT_ISLAND: {MUSIC_MAIN: MUSIC_CUTTHROAT,MUSIC_ALT: MUSIC_CUTTHROAT_ALT,MUSIC_COMBAT: MUSIC_CUTTHROAT_COMBAT},LocationIds.OUTCAST_ISLE: {MUSIC_MAIN: MUSIC_OUTCAST,MUSIC_ALT: MUSIC_OUTCAST},LocationIds.ISLA_TORMENTA: {MUSIC_MAIN: MUSIC_TORMENTA,MUSIC_ALT: MUSIC_TORMENTA_ALT,MUSIC_COMBAT: MUSIC_TORMENTA_COMBAT},LocationIds.ISLA_AVARICIA: {MUSIC_MAIN: MUSIC_ISLA_AVARICIA,MUSIC_ALT: MUSIC_ISLA_AVARICIA},LocationIds.ISLA_DE_PORC: {MUSIC_MAIN: MUSIC_ISLA_DE_PORC,MUSIC_ALT: MUSIC_ISLA_DE_PORC},LocationIds.PEARL_ISLAND: {MUSIC_ALT: None},LocationIds.RAVENS_COVE_ISLAND: {MUSIC_MAIN: MUSIC_RAVENS_COVE_DAY,MUSIC_ALT: MUSIC_RAVENS_COVE_NIGHT,MUSIC_COMBAT: MUSIC_RAVENS_COVE_TOWN_BATTLE},LocationIds.RAVENS_COVE_MINE: {MUSIC_MAIN: MUSIC_EL_PATRONS_MINE,MUSIC_ALT: None,MUSIC_COMBAT: MUSIC_RAVENS_COVE_CAVE_BATTLE}}

def getMainMusic(locationId):
    if locationId in Music2IslandDict:
        if MUSIC_MAIN in Music2IslandDict.get(locationId):
            return Music2IslandDict.get(locationId).get(MUSIC_MAIN)
    return MUSIC_DEFAULT_MAIN

def getAltMusic(locationId):
    if locationId in Music2IslandDict:
        if MUSIC_ALT in Music2IslandDict.get(locationId):
            return Music2IslandDict.get(locationId).get(MUSIC_ALT)
    return MUSIC_DEFAULT_ALT

def getCombatMusic(locationId):
    if locationId in Music2IslandDict:
        if MUSIC_COMBAT in Music2IslandDict.get(locationId):
            return Music2IslandDict.get(locationId).get(MUSIC_COMBAT)
    return random.choice([MUSIC_COMBAT_A, MUSIC_COMBAT_B, MUSIC_COMBAT_C])

def getAmbientFromStr(str):
    if not str:
        return None
    if 'jungle' in str:
        return AMBIENT_JUNGLE
    elif 'cave' in str:
        return AMBIENT_CAVE
    elif 'volcano' in str:
        return AMBIENT_VOLCANO
    elif 'swamp' in str:
        return AMBIENT_SWAMP
    elif 'spanish' in str:
        return AMBIENT_SPANISH
    elif 'shanty' in str:
        return AMBIENT_SHANTY
    elif 'jail_interior' in str:
        return AMBIENT_JAIL
    return None

SongItem2MusicLabel = {UberDogGlobals.InventoryType.Song_1: MUSIC_DRIFTWOOD,UberDogGlobals.InventoryType.Song_2: MUSIC_CANGREJOS,UberDogGlobals.InventoryType.Song_3: MUSIC_OUTCAST,UberDogGlobals.InventoryType.Song_4: MUSIC_PERFORMERS_02,UberDogGlobals.InventoryType.Song_5: MUSIC_PERFORMERS_10,UberDogGlobals.InventoryType.Song_6: MUSIC_DEATH,UberDogGlobals.InventoryType.Song_7: MUSIC_DEATH,UberDogGlobals.InventoryType.Song_8: MUSIC_DEATH,UberDogGlobals.InventoryType.Song_9: MUSIC_DEATH,UberDogGlobals.InventoryType.Song_10: MUSIC_DEATH,UberDogGlobals.InventoryType.Song_11: MUSIC_PERFORMERS_07,UberDogGlobals.InventoryType.Song_12: MUSIC_PERFORMERS_09,UberDogGlobals.InventoryType.Song_13: MUSIC_CUTTHROAT,UberDogGlobals.InventoryType.Song_14: MUSIC_KINGSHEAD,UberDogGlobals.InventoryType.Song_15: MUSIC_RUMRUNNERS,UberDogGlobals.InventoryType.Song_16: MUSIC_DEATH,UberDogGlobals.InventoryType.Song_17: MUSIC_DEATH,UberDogGlobals.InventoryType.Song_18: MUSIC_DEATH,UberDogGlobals.InventoryType.Song_19: MUSIC_DEATH,UberDogGlobals.InventoryType.Song_20: MUSIC_DEATH,UberDogGlobals.InventoryType.Song_21: MUSIC_HOLIDAY_01,UberDogGlobals.InventoryType.Song_22: MUSIC_HOLIDAY_02}

def getMusicFromSongId(songId):
    return SongItem2MusicLabel.get(songId)

MusicLabel2Length = {MUSIC_DRIFTWOOD: 62,MUSIC_CANGREJOS: 63,MUSIC_OUTCAST: 61,MUSIC_DEATH: 16,MUSIC_PERFORMERS_02: 64,MUSIC_PERFORMERS_07: 68,MUSIC_PERFORMERS_09: 62,MUSIC_PERFORMERS_10: 65,MUSIC_CUTTHROAT: 61,MUSIC_KINGSHEAD: 67,MUSIC_RUMRUNNERS: 59,MUSIC_FIREWORKS: 67,MUSIC_REWARD_WEAPON: 12,MUSIC_HOLIDAY_01: 62,MUSIC_HOLIDAY_02: 96}

def getMusicLength(musicLabel):
    return MusicLabel2Length.get(musicLabel)